using System;
using System.Collections;
using System.Runtime.Serialization;
using System.ComponentModel;
using System.Collections.Generic;

namespace RDH.Data.Models
{ 
 
	public partial class OperationRoom : INotifyPropertyChanged
    {
        private UserInfo _userInfo;
        private Boolean _hasTaking;
        [DataMember]
        public UserInfo UserInfo
        {
            get { return _userInfo; }
            set
            {
                _userInfo = value;
                OnPropertyChanged("UserInfo");
            }
        }
        public Boolean HasTaking 
        {
            get { return _hasTaking; }
            set
            {
                _hasTaking = value;
                OnPropertyChanged("HasTaking");
            }
        }
	}
	
}